fCreate(3)

NAME
fCreate - create a file lock.

SYNOPSIS

#include <util/ulocks.h>

NEOERR *fCreate(int *plock, const char *file);

ARGUMENTS
plock - place for lock.
file - path of file to use as lock.

DESCRIPTION
Creates a file lock on named file <file>. The lock is returned in <plock>.

MT-Level: Safe.

RETURN VALUE
plock - set to lock identifier.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock